GetBlockHash - Algorand
Example code for the GetBlockHash REST method. Complete guide on how to use GetBlockHash REST in GetBlock Web3 documentation.
Get the block hash for the block on the given round.
Endpoint
GET /v2/blocks/{round}/hashPath Parameters
Parameter
Type
Required
Description
round
integer
Yes
A round number.
Example
export ALGO_ALGOD=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/
curl "${ALGO_ALGOD}v2/blocks/REPLACE_ROUND/hash"Response
Returns application/json. Top-level fields:
Field
Type
Description
blockHash
string
Block header hash.
Error Handling
Error
Message
Description
400
Bad request
A parameter was missing or malformed
404
Not found
The requested resource does not exist
403 / RBAC: access denied
Access denied
The GetBlock access token is missing or incorrect
Last updated
Was this helpful?